## playmidi 2.4debian

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ###########################################################################
-# playmidi Makefile  last modification 2 January 1996
+# playmidi Makefile  12 September 1996
 #
 # by Nathan I Laredo, laredo@gnu.ai.mit.edu
 #
@@ -8,22 +8,6 @@
 # thousands of times (for developing), and will only install updated
 # files.  It does not write over exiting fm patch libs if you have them.
 #
-# 5/10/95 - Fixed a few bugs here and there. -- Alex
-#
-# 9/15/95 - Changed back to what I originally intended.
-#
-# 10/5/95 - Moved configurables to the start of Makefile, made variables
-#           Added install for patch libraries
-#
-# 12/9/95 - Added stuff for xplaymidi, modified default paths for FSSTND
-#           Any RedHat system should compile as is.
-#
-# 1/2/96  - Tried to document more completely, added some more objects
-#           install.noX11, install.novga, install.Xonly, install.lame
-#
-# 1/5/96  - Added -DNARROWPROTO for xplaymidi
-#
-# 1/28/96 - Added options to make xview and xforms versions of xplaymidi
 ###########################################################################
 
 # ncurses usually /usr/lib, -L/usr/local/lib doesn't hurt
@@ -32,6 +16,7 @@
 
 ######### NOTE:  X11R6 or newer REQUIRED
 LIBX11	= -L/usr/X11R6/lib -lXaw -lXmu -lXt -lX11 -lXext -lSM -lICE
+LIBGTK	= -L/usr/X11R6/lib -lgtk-1.1 -lgdk-1.1 -lglib-1.1 -lX11 -lXext -lm
 LIBVGA	= -L/usr/local/lib -lvgagl -lvga
 
 # ncurses is usually in /usr/include/ncurses, but you may need
@@ -41,6 +26,11 @@
 # just in case you keep your X includes in an odd location.
 INCX11	= -I/usr/X11R6/include -DNARROWPROTO
 
+# stuff for sound blaster awe32
+INCAWE  = -DVOXWARE_CONTROLLER_7_WORKING
+# awe_voice.h path
+INCAWE  += -I/usr/lib/oss/include/sys
+
 # usually in /usr/include, but -I/usr/local/include doesn't hurt
 # unless there's more than one svgalib floating around your system.
 INCVGA	= -I/usr/local/include
@@ -48,12 +38,12 @@
 # Directory where application defaults files are stored for X11 version
 XAPPDEFAULTS = /usr/X11R6/lib/X11/app-defaults
 
-INCLUDES= $(INCNC) $(INCX11) $(INCVGA)
-INSTALLDIR = /usr/local/bin
+INCLUDES= $(INCNC) $(INCX11) $(INCVGA) $(INCAWE)
+INSTALLDIR = /usr/bin
 INSTALL = install -s
 
 # if you are using the GUS Ultra driver module, add -DULTRA_DRIVER
-CFLAGS	= -Wall -pipe -fomit-frame-pointer -O2 -m486
+CFLAGS	= -Wall -pipe -fomit-frame-pointer -O2 -m486 $(INCAWE)
 LDFLAGS =
 
 OBJECTS = playmidi.o readmidi.o playevents.o \
@@ -65,11 +55,14 @@
 SOBJECTS= playmidi.o readmidi.o playevents.o \
 	  patchload.o emumidi.o io_svgalib.o
 
-all: playmidi splaymidi xplaymidi
+GOBJECTS= playmidi.o readmidi.o playevents.o \
+	  patchload.o emumidi.o io_gtk.o
+
+all: playmidi xplaymidi 
 
 config:
 playmidi.h: playmidi.h-dist
-	Configure
+	./Configure
 
 io_ncurses.o: io_ncurses.c
 	$(CC) $(CFLAGS) $(INCNC) -c io_ncurses.c -o io_ncurses.o
@@ -86,6 +79,9 @@
 xplaymidi: .depend $(XOBJECTS)
 	$(CC) $(LDFLAGS) -o xplaymidi $(XOBJECTS) $(LIBX11)
 
+gtkplaymidi: .depend $(GOBJECTS)
+	$(CC) $(LDFLAGS) -o gtkplaymidi $(GOBJECTS) $(LIBGTK)
+
 splaymidi: .depend $(SOBJECTS)
 	$(CC) $(LDFLAGS) -o splaymidi $(SOBJECTS) $(LIBVGA)
 
@@ -94,6 +90,9 @@
 
 $(INSTALLDIR)/xplaymidi: xplaymidi
 	$(INSTALL) xplaymidi $(INSTALLDIR)
+
+$(INSTALLDIR)/gtkplaymidi: gtkplaymidi
+	$(INSTALL) gtkplaymidi $(INSTALLDIR)
 
 $(INSTALLDIR)/splaymidi: splaymidi
 	$(INSTALL) splaymidi $(INSTALLDIR)
@@ -134,7 +133,7 @@
 	 cp playmidi.1 /usr/man/man1/
 
 clean:
-	rm -f *.o playmidi splaymidi xplaymidi a.out
+	rm -f *.o playmidi splaymidi xplaymidi a.out toy seq2mid beat
 
 distclean: clean
 	rm -f .depend  *~ *.bak playmidi.h config.sed
