=== debian/changelog ===
playmidi (2.4debian-17) unstable; urgency=medium

  * QA upload.
  * Disable parallel build for now. Closes: #1076021.

 -- Santiago Vila <sanvila@debian.org>  Tue, 09 Jul 2024 19:25:00 +0200

playmidi (2.4debian-16) unstable; urgency=medium

  * QA upload.
  * Generate playmidi.h first, then build the program.
    This is a workaround for a Makefile bug.
  * Convert package to simplified dh syntax.
  * Apply changes from Helmut Grohne for cross-build. Closes: #914626.

 -- Santiago Vila <sanvila@debian.org>  Tue, 09 Jul 2024 18:10:00 +0200

playmidi (2.4debian-15) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.3 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start
    continuation lines.
  * debian/rules: Use dh_prep rather than "dh_clean -k".
  * Use set -e rather than passing -e on the shebang-line.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Corrected formatting and content of d/copyright.
  * Updated d/control, d/copyright with new home page location
    and added d/watch.
  * Moved some d/rules setup to individual files.
  * Flagged in d/control that no root build is needed.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 14 May 2024 08:34:40 +0200

playmidi (2.4debian-14) unstable; urgency=medium

  * QA upload.
  * Add missing include. (Closes: #1066401)

 -- Bastian Germann <bage@debian.org>  Thu, 14 Mar 2024 19:20:42 +0000

playmidi (2.4debian-13) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 source format. (Closes: #1007442)
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Sat, 03 Dec 2022 10:11:08 +0100

playmidi (2.4debian-12) unstable; urgency=low

  * QA upload.
  * debian/compat: 5 -> 7. (Closes: #965784)
  * debian/rules: Add build-{arch,indep}. (Closes: #999014)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Dec 2021 02:35:54 +0200

playmidi (2.4debian-11) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #881511)
  * Add Brazilian Portuguese debconf templates translation
    from Adriano Rafael Gomes. (Closes: #719934)

 -- Adrian Bunk <bunk@debian.org>  Sun, 19 Nov 2017 20:32:52 +0200

playmidi (2.4debian-10) unstable; urgency=low

  * Change of maintainer address.
  * Bump standards version to 3.9.3; bump debhelper compat to 5 (minimal).
  * Copyright file fixups (lintian warning).
  * Use dpkg-buildflags for hardening.
  * Add a versioned build-dep on dpkg-dev.
  * Ack NMUs. (Closes: #463252, #488708, #489161, #654813, #665305)

 -- Darren Salt <devspam@moreofthesa.me.uk>  Tue, 20 Nov 2012 18:05:29 +0000

playmidi (2.4debian-9.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #654813
    - Polish (Michał Kułach).  Closes: #665305

 -- Christian Perrier <bubulle@debian.org>  Fri, 30 Mar 2012 06:52:44 +0200

playmidi (2.4debian-9.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations
    - Japanese. Closes: #463252
    - Swedish. Closes: #488708
    - Norwegian Bokmål. Closes: #463252
    - Turkish. Closes: #489161

 -- Christian Perrier <bubulle@debian.org>  Thu, 19 Jun 2008 20:10:55 +0200

playmidi (2.4debian-9) unstable; urgency=low

  [ Darren Salt ]
  * Updated debconf templates & debian/control.		(Closes: #452496)
    Reviewed by the debian-l10n-english team as part of the Smith review
    project (except that I've lightly tweaked the last sentence of the
    package description).
  * Various new & updated debconf translations:
    - Basque						(Closes: #453297)
    - Galician						(Closes: #453330)
    - Vietnamese					(Closes: #453377)
    - German						(Closes: #453488)
    - Finnish						(Closes: #453655)
    - Portuguese					(Closes: #453914)
    - Spanish, Castilian				(Closes: #454357)
    - Italian						(Closes: #454645)
    - French						(Closes: #454648)
    - Czech						(Closes: #455239)
    - Dutch, Flemish					(Closes: #455869)
    - Russian						(Closes: #455965)
  * Demote the X dependencies to Recommends.		(Closes: #28471)
    Use a wrapper for xplaymidi to avoid run-time linkage errors.
    (Doable since recommended packages are installed by default.)
  * Bumped standards version to 3.7.3; no changes needed.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Fri, 18 Jan 2008 22:18:33 +0000

playmidi (2.4debian-8) unstable; urgency=low

  * Use debian/compat instead of DH_COMPAT, but stick with level 4 for now.
  * Updated standards version to 3.7.2.
  * Templates converted to UTF-8.
  * Fixed problems with terminal resize (ncurses interface) - now no longer
    terminates.
  * Use intptr_t for pointer casting.
  * Switched to using the included awe_voice.h regardless of target.
    It was removed from Linux between 2.6.21 & 2.6.22.	(Closes: #436329)
  * Added Dutch debconf translation.			(Closes: #414771)
  * Added Portuguese debconf translation.		(Closes: #434062)
  * Fixed the --help option.				(Closes: #418819)
  * Removed a question mark from the debconf template. Translations need to
    be updated to remove the malformed-prompt-in-templates warning.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Sun, 28 Oct 2007 01:58:59 +0100

playmidi (2.4debian-7) unstable; urgency=low

  * Added Spanish templates translation.		(Closes: #404789)

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Thu, 28 Dec 2006 18:43:33 +0000

playmidi (2.4debian-6) unstable; urgency=low

  * Fixed up various compiler warnings (mostly signedness differences which,
    in this case, was all noise).
  * Should be libxaw?-dev in previous changelog entries.

