=== debian/control ===
Source: playmidi
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
               libncurses-dev,
               libxaw7-dev,
               libxt-dev,
Homepage: https://nlaredo.github.io/playmidi.html
Vcs-Browser: https://salsa.debian.org/debian/playmidi
Vcs-Git: https://salsa.debian.org/debian/playmidi.git
Rules-Requires-Root: no

Package: playmidi
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: ${shlibs:Recommends},
Conflicts: suidmanager (<< 0.50),
Suggests: awesfx,
Description: MIDI player
 Playmidi is a MIDI file player that will play back using FM, GUS,
 SoundBlaster or external MIDI. It also supports Creative Music Files
 (CMF), Microsoft RIFF (RMI) files and large MIDI archives from games
 such as Ultima 7.
 .
 The player may be used with a text interface or a graphical interface.
