=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	echo 2 | $(MAKE) INCNC= INCAWE= playmidi.h

override_dh_auto_build: debian/po/templates.pot
	dh_auto_build -- INCNC= INCAWE= playmidi xplaymidi
	# compile xplaymidi wrapper
	sh debian/xplaymidi.sh

debian/po/templates.pot: debian/templates
	debconf-updatepo

override_dh_auto_clean:
	rm -f debian/xplaymidi.c debian/xplaymidi
	echo 2 | $(MAKE) distclean
	dh_clean

override_dh_auto_install:
	install -m644 XPlaymidi.ad debian/playmidi/etc/X11/app-defaults/XPlaymidi

execute_after_dh_installexamples:
	set -e && cd debian/midi && find -type f | sed -e 's/\.uue$$//' | \
	  while read i; do \
	    perl -e 'undef $$/; $$file = <> or die; print unpack ("u", $$file) or die' \
		<$$i.uue >../../debian/playmidi/usr/share/doc/playmidi/examples/$$i; \
	  done

override_dh_shlibdeps:
	dh_shlibdeps -ldebian/playmidi -- -dDepends debian/playmidi/usr/bin/playmidi -dRecommends debian/playmidi/usr/bin/xplaymidi
